curl --request POST \
--url https://api.swarmd.ai/registry/v1/channels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}Security Requirements
| Auth Types | Entities | Permissions | Required Roles |
|---|---|---|---|
| USER | CHANNELS | WRITE | CHANNELS:WRITE |
curl --request POST \
--url https://api.swarmd.ai/registry/v1/channels \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"channelId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenantId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"clientId": "<string>",
"clientSecret": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}JWT token (USER, AGENT, or SERVICE auth)